######################################################################
# Modify typical settings for a given application server
#



try:
	SERVER = AdminConfig.getid('/Server:' + PROP('launcher.applicationServerSettings.name'))
	AdminConfig.modify(AdminConfig.showAttribute(SERVER, 'errorStreamRedirect'),  [['maxNumberOfBackupFiles', PROP('launcher.applicationServerSettings.maxNumberOfErrorBackupFiles',  '1')]]) 
	AdminConfig.modify(AdminConfig.showAttribute(SERVER, 'outputStreamRedirect'), [['maxNumberOfBackupFiles', PROP('launcher.applicationServerSettings.maxNumberOfOutputBackupFiles', '1')]]) 
	
	JVM = AdminConfig.list('JavaVirtualMachine', SERVER).split(NL)[0]
	AdminConfig.modify(JVM, [['initialHeapSize',     PROP('launcher.applicationServerSettings.initialHeapSize',     '0')]])
	AdminConfig.modify(JVM, [['maximumHeapSize',     PROP('launcher.applicationServerSettings.maximumHeapSize',     '0')]])
	AdminConfig.modify(JVM, [['genericJvmArguments', PROP('launcher.applicationServerSettings.genericJvmArguments', '' )]])
	
	AdminConfig.modify(JVM, [['classpath',           '']])
	AdminConfig.modify(JVM, [['classpath',           buildClasspathString(PROFILE_ROOT + 'serverClasspath'    )]])
	
	AdminConfig.modify(JVM, [['bootClasspath',       '']])
	AdminConfig.modify(JVM, [['bootClasspath',       buildClasspathString(PROFILE_ROOT + 'serverBootClasspath')]])
	
	AdminConfig.save()
except:
	traceback.print_exc();
	sys.exit(1)
#endtry



sys.exit(0)
